### Method

# Gtk PasswordEntryset_show_peek_icon

#### Declaration [src]

    void
    gtk_password_entry_set_show_peek_icon (
      GtkPasswordEntry* entry,
      gboolean show_peek_icon
    )

#### Description [src]

Sets whether the entry should have a clickable icon to reveal the contents.

Setting this to `FALSE` also hides the text again.

Sets property | `Gtk.PasswordEntry:show-peek-icon`

#### Parameters

`show_peek_icon`

  Type: `gboolean`

  Whether to show the peek icon.